Package org.h2.result

# Class ResultWithGeneratedKeys.WithKeys

java.lang.Object
org.h2.result.ResultWithGeneratedKeys
org.h2.result.ResultWithGeneratedKeys.WithKeys

Enclosing class:
  `ResultWithGeneratedKeys`

public static final class ResultWithGeneratedKeys.WithKeys extends ResultWithGeneratedKeys
Result of update command with generated keys;

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.result.ResultWithGeneratedKeys

`ResultWithGeneratedKeys.WithKeys`

## Constructor Summary

Constructors
Constructor
Description
`WithKeys(long updateCount, ResultInterface generatedKeys)`
Creates a result with update count and generated keys.

## Method Summary

Modifier and Type
Method
Description
`ResultInterface`
`getGeneratedKeys()`
Returns generated keys, or `null`.

### Methods inherited from class org.h2.result.ResultWithGeneratedKeys

`getUpdateCount, of`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WithKeys

public WithKeys(long updateCount, ResultInterface generatedKeys)
Creates a result with update count and generated keys.

Parameters:
  `updateCount` - update count
  `generatedKeys` - generated keys

## Method Details

### getGeneratedKeys

public ResultInterface getGeneratedKeys()
Description copied from class: `ResultWithGeneratedKeys`
Returns generated keys, or `null`.

Overrides:
  `getGeneratedKeys` in class `ResultWithGeneratedKeys`
Returns:
  generated keys, or `null`